// clang-format off
const KnownTrampoline kKnownTrampolines[] = {
{"_Z13eglBeginFramePvS_", GetTrampolineFunc<auto(void*, void*) -> void>(), reinterpret_cast<void*>(NULL)},
{"_ZN7android11egl_cache_t10initializeEPNS_13egl_display_tE", GetTrampolineFunc<auto(void*, void*) -> void>(), reinterpret_cast<void*>(NULL)},
{"_ZN7android11egl_cache_t10updateModeEv", GetTrampolineFunc<auto(void*) -> void>(), reinterpret_cast<void*>(NULL)},
{"_ZN7android11egl_cache_t12getCacheSizeEv", GetTrampolineFunc<auto(void*) -> uint32_t>(), reinterpret_cast<void*>(NULL)},
{"_ZN7android11egl_cache_t12setCacheModeENS0_12EGLCacheModeE", GetTrampolineFunc<auto(void*, uint32_t) -> void>(), reinterpret_cast<void*>(NULL)},
{"_ZN7android11egl_cache_t13setCacheLimitEx", GetTrampolineFunc<auto(void*, int64_t) -> void>(), reinterpret_cast<void*>(NULL)},
{"_ZN7android11egl_cache_t16setCacheFilenameEPKc", GetTrampolineFunc<auto(void*, void*) -> void>(), reinterpret_cast<void*>(NULL)},
{"_ZN7android11egl_cache_t18getBlobCacheLockedEv", GetTrampolineFunc<auto(void*) -> void*>(), reinterpret_cast<void*>(NULL)},
{"_ZN7android11egl_cache_t27getMultifileBlobCacheLockedEv", GetTrampolineFunc<auto(void*) -> void*>(), reinterpret_cast<void*>(NULL)},
{"_ZN7android11egl_cache_t3getEv", GetTrampolineFunc<auto(void) -> void*>(), reinterpret_cast<void*>(NULL)},
{"_ZN7android11egl_cache_t7getBlobEPKvlPvl", GetTrampolineFunc<auto(void*, void*, int32_t, void*, int32_t) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"_ZN7android11egl_cache_t7setBlobEPKvlS2_l", GetTrampolineFunc<auto(void*, void*, int32_t, void*, int32_t) -> void>(), reinterpret_cast<void*>(NULL)},
{"_ZN7android11egl_cache_t9terminateEv", GetTrampolineFunc<auto(void*) -> void>(), reinterpret_cast<void*>(NULL)},
{"_ZN7android11egl_cache_tC2Ev", GetTrampolineFunc<auto(void*) -> void>(), reinterpret_cast<void*>(NULL)},
{"_ZN7android11egl_cache_tD2Ev", GetTrampolineFunc<auto(void*) -> void>(), reinterpret_cast<void*>(NULL)},
{"_ZN7android13egl_display_t10initializeEPiS1_", GetTrampolineFunc<auto(void*, void*, void*) -> uint32_t>(), reinterpret_cast<void*>(NULL)},
{"_ZN7android13egl_display_t11loseCurrentEPNS_13egl_context_tE", DoBadTrampoline, reinterpret_cast<void*>(DoBadThunk)},
{"_ZN7android13egl_display_t11makeCurrentEPNS_13egl_context_tES2_PvS3_S3_S3_S3_S3_", DoBadTrampoline, reinterpret_cast<void*>(DoBadThunk)},
{"_ZN7android13egl_display_t12removeObjectEPNS_12egl_object_tE", DoBadTrampoline, reinterpret_cast<void*>(DoBadThunk)},
{"_ZN7android13egl_display_t15loseCurrentImplEPNS_13egl_context_tE", DoBadTrampoline, reinterpret_cast<void*>(DoBadThunk)},
{"_ZN7android13egl_display_t18getPlatformDisplayEPvPKi", GetTrampolineFunc<auto(void*, void*) -> void*>(), reinterpret_cast<void*>(NULL)},
{"_ZN7android13egl_display_t20getFromNativeDisplayEPvPKi", GetTrampolineFunc<auto(void*, void*) -> void*>(), reinterpret_cast<void*>(NULL)},
{"_ZN7android13egl_display_t3getEPv", GetTrampolineFunc<auto(void*) -> void*>(), reinterpret_cast<void*>(NULL)},
{"_ZN7android13egl_display_t9addObjectEPNS_12egl_object_tE", DoBadTrampoline, reinterpret_cast<void*>(DoBadThunk)},
{"_ZN7android13egl_display_t9terminateEv", GetTrampolineFunc<auto(void*) -> uint32_t>(), reinterpret_cast<void*>(NULL)},
{"_ZN7android13egl_display_tC2Ev", GetTrampolineFunc<auto(void*) -> void>(), reinterpret_cast<void*>(NULL)},
{"_ZN7android13egl_display_tD2Ev", GetTrampolineFunc<auto(void*) -> void>(), reinterpret_cast<void*>(NULL)},
{"_ZN7android17eglBeginFrameImplEPvS0_", GetTrampolineFunc<auto(void*, void*) -> void>(), reinterpret_cast<void*>(NULL)},
{"_ZN7android18egl_get_connectionEv", DoBadTrampoline, reinterpret_cast<void*>(DoBadThunk)},
{"_ZN7android18egl_get_init_countEPv", GetTrampolineFunc<auto(void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"_ZN7android19setGlThreadSpecificEPKNS_10gl_hooks_tE", DoBadTrampoline, reinterpret_cast<void*>(DoBadThunk)},
{"_ZN7android22egl_set_cache_filenameEPKc", GetTrampolineFunc<auto(void*) -> void>(), reinterpret_cast<void*>(NULL)},
{"_ZN7android34egl_get_string_for_current_contextEj", GetTrampolineFunc<auto(uint32_t) -> void*>(), reinterpret_cast<void*>(NULL)},
{"_ZN7android34egl_get_string_for_current_contextEjj", GetTrampolineFunc<auto(uint32_t, uint32_t) -> void*>(), reinterpret_cast<void*>(NULL)},
{"_ZN7android39eglQueryStringImplementationANDROIDImplEPvi", GetTrampolineFunc<auto(void*, int32_t) -> void*>(), reinterpret_cast<void*>(NULL)},
{"_ZN7android42egl_get_num_extensions_for_current_contextEv", GetTrampolineFunc<auto(void) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"_ZNK7android13egl_display_t13haveExtensionEPKcj", GetTrampolineFunc<auto(void*, void*, uint32_t) -> uint8_t>(), reinterpret_cast<void*>(NULL)},
{"_ZNK7android13egl_display_t9getObjectEPNS_12egl_object_tE", DoBadTrampoline, reinterpret_cast<void*>(DoBadThunk)},
{"eglBindAPI", GetTrampolineFunc<auto(uint32_t) -> uint32_t>(), reinterpret_cast<void*>(NULL)},
{"eglBindTexImage", GetTrampolineFunc<auto(void*, void*, int32_t) -> uint32_t>(), reinterpret_cast<void*>(NULL)},
{"eglChooseConfig", GetTrampolineFunc<auto(void*, void*, void*, int32_t, void*) -> uint32_t>(), reinterpret_cast<void*>(NULL)},
{"eglClientWaitSync", GetTrampolineFunc<auto(void*, void*, int32_t, uint64_t) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"eglClientWaitSyncKHR", GetTrampolineFunc<auto(void*, void*, int32_t, uint64_t) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"eglCopyBuffers", GetTrampolineFunc<auto(void*, void*, void*) -> uint32_t>(), reinterpret_cast<void*>(NULL)},
{"eglCreateContext", GetTrampolineFunc<auto(void*, void*, void*, void*) -> void*>(), reinterpret_cast<void*>(NULL)},
{"eglCreateImage", GetTrampolineFunc<auto(void*, void*, uint32_t, void*, void*) -> void*>(), reinterpret_cast<void*>(NULL)},
{"eglCreateImageKHR", GetTrampolineFunc<auto(void*, void*, uint32_t, void*, void*) -> void*>(), reinterpret_cast<void*>(NULL)},
{"eglCreatePbufferFromClientBuffer", GetTrampolineFunc<auto(void*, uint32_t, void*, void*, void*) -> void*>(), reinterpret_cast<void*>(NULL)},
{"eglCreatePbufferSurface", GetTrampolineFunc<auto(void*, void*, void*) -> void*>(), reinterpret_cast<void*>(NULL)},
{"eglCreatePixmapSurface", GetTrampolineFunc<auto(void*, void*, void*, void*) -> void*>(), reinterpret_cast<void*>(NULL)},
{"eglCreatePlatformPixmapSurface", GetTrampolineFunc<auto(void*, void*, void*, void*) -> void*>(), reinterpret_cast<void*>(NULL)},
{"eglCreatePlatformWindowSurface", GetTrampolineFunc<auto(void*, void*, void*, void*) -> void*>(), reinterpret_cast<void*>(NULL)},
{"eglCreateStreamFromFileDescriptorKHR", GetTrampolineFunc<auto(void*, int32_t) -> void*>(), reinterpret_cast<void*>(NULL)},
{"eglCreateStreamKHR", GetTrampolineFunc<auto(void*, void*) -> void*>(), reinterpret_cast<void*>(NULL)},
{"eglCreateStreamProducerSurfaceKHR", GetTrampolineFunc<auto(void*, void*, void*, void*) -> void*>(), reinterpret_cast<void*>(NULL)},
{"eglCreateSync", GetTrampolineFunc<auto(void*, uint32_t, void*) -> void*>(), reinterpret_cast<void*>(NULL)},
{"eglCreateSyncKHR", GetTrampolineFunc<auto(void*, uint32_t, void*) -> void*>(), reinterpret_cast<void*>(NULL)},
{"eglCreateWindowSurface", GetTrampolineFunc<auto(void*, void*, void*, void*) -> void*>(), reinterpret_cast<void*>(NULL)},
{"eglDestroyContext", GetTrampolineFunc<auto(void*, void*) -> uint32_t>(), reinterpret_cast<void*>(NULL)},
{"eglDestroyImage", GetTrampolineFunc<auto(void*, void*) -> uint32_t>(), reinterpret_cast<void*>(NULL)},
{"eglDestroyImageKHR", GetTrampolineFunc<auto(void*, void*) -> uint32_t>(), reinterpret_cast<void*>(NULL)},
{"eglDestroyStreamKHR", GetTrampolineFunc<auto(void*, void*) -> uint32_t>(), reinterpret_cast<void*>(NULL)},
{"eglDestroySurface", GetTrampolineFunc<auto(void*, void*) -> uint32_t>(), reinterpret_cast<void*>(NULL)},
{"eglDestroySync", GetTrampolineFunc<auto(void*, void*) -> uint32_t>(), reinterpret_cast<void*>(NULL)},
{"eglDestroySyncKHR", GetTrampolineFunc<auto(void*, void*) -> uint32_t>(), reinterpret_cast<void*>(NULL)},
{"eglDupNativeFenceFDANDROID", GetTrampolineFunc<auto(void*, void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"eglGetCompositorTimingANDROID", GetTrampolineFunc<auto(void*, void*, int32_t, void*, void*) -> uint32_t>(), reinterpret_cast<void*>(NULL)},
{"eglGetCompositorTimingSupportedANDROID", GetTrampolineFunc<auto(void*, void*, int32_t) -> uint32_t>(), reinterpret_cast<void*>(NULL)},
{"eglGetConfigAttrib", GetTrampolineFunc<auto(void*, void*, int32_t, void*) -> uint32_t>(), reinterpret_cast<void*>(NULL)},
{"eglGetConfigs", GetTrampolineFunc<auto(void*, void*, int32_t, void*) -> uint32_t>(), reinterpret_cast<void*>(NULL)},
{"eglGetCurrentContext", GetTrampolineFunc<auto(void) -> void*>(), reinterpret_cast<void*>(NULL)},
{"eglGetCurrentDisplay", GetTrampolineFunc<auto(void) -> void*>(), reinterpret_cast<void*>(NULL)},
{"eglGetCurrentSurface", GetTrampolineFunc<auto(int32_t) -> void*>(), reinterpret_cast<void*>(NULL)},
{"eglGetDisplay", GetTrampolineFunc<auto(void*) -> void*>(), reinterpret_cast<void*>(NULL)},
{"eglGetError", GetTrampolineFunc<auto(void) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"eglGetFrameTimestampSupportedANDROID", GetTrampolineFunc<auto(void*, void*, int32_t) -> uint32_t>(), reinterpret_cast<void*>(NULL)},
{"eglGetFrameTimestampsANDROID", GetTrampolineFunc<auto(void*, void*, uint64_t, int32_t, void*, void*) -> uint32_t>(), reinterpret_cast<void*>(NULL)},
{"eglGetNativeClientBufferANDROID", GetTrampolineFunc<auto(void*) -> void*>(), reinterpret_cast<void*>(NULL)},
{"eglGetNextFrameIdANDROID", GetTrampolineFunc<auto(void*, void*, void*) -> uint32_t>(), reinterpret_cast<void*>(NULL)},
{"eglGetPlatformDisplay", GetTrampolineFunc<auto(uint32_t, void*, void*) -> void*>(), reinterpret_cast<void*>(NULL)},
{"eglGetProcAddress", DoCustomTrampolineWithThunk_eglGetProcAddress, reinterpret_cast<void*>(eglGetProcAddress)},
{"eglGetStreamFileDescriptorKHR", GetTrampolineFunc<auto(void*, void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"eglGetSyncAttrib", GetTrampolineFunc<auto(void*, void*, int32_t, void*) -> uint32_t>(), reinterpret_cast<void*>(NULL)},
{"eglGetSyncAttribKHR", GetTrampolineFunc<auto(void*, void*, int32_t, void*) -> uint32_t>(), reinterpret_cast<void*>(NULL)},
{"eglGetSystemTimeFrequencyNV", GetTrampolineFunc<auto(void) -> uint64_t>(), reinterpret_cast<void*>(NULL)},
{"eglGetSystemTimeNV", GetTrampolineFunc<auto(void) -> uint64_t>(), reinterpret_cast<void*>(NULL)},
{"eglInitialize", GetTrampolineFunc<auto(void*, void*, void*) -> uint32_t>(), reinterpret_cast<void*>(NULL)},
{"eglLockSurfaceKHR", GetTrampolineFunc<auto(void*, void*, void*) -> uint32_t>(), reinterpret_cast<void*>(NULL)},
{"eglMakeCurrent", GetTrampolineFunc<auto(void*, void*, void*, void*) -> uint32_t>(), reinterpret_cast<void*>(NULL)},
{"eglPresentationTimeANDROID", GetTrampolineFunc<auto(void*, void*, int64_t) -> uint32_t>(), reinterpret_cast<void*>(NULL)},
{"eglQueryAPI", GetTrampolineFunc<auto(void) -> uint32_t>(), reinterpret_cast<void*>(NULL)},
{"eglQueryContext", GetTrampolineFunc<auto(void*, void*, int32_t, void*) -> uint32_t>(), reinterpret_cast<void*>(NULL)},
{"eglQueryStreamKHR", GetTrampolineFunc<auto(void*, void*, uint32_t, void*) -> uint32_t>(), reinterpret_cast<void*>(NULL)},
{"eglQueryStreamTimeKHR", GetTrampolineFunc<auto(void*, void*, uint32_t, void*) -> uint32_t>(), reinterpret_cast<void*>(NULL)},
{"eglQueryStreamu64KHR", GetTrampolineFunc<auto(void*, void*, uint32_t, void*) -> uint32_t>(), reinterpret_cast<void*>(NULL)},
{"eglQueryString", GetTrampolineFunc<auto(void*, int32_t) -> void*>(), reinterpret_cast<void*>(NULL)},
{"eglQueryStringImplementationANDROID", GetTrampolineFunc<auto(void*, int32_t) -> void*>(), reinterpret_cast<void*>(NULL)},
{"eglQuerySurface", GetTrampolineFunc<auto(void*, void*, int32_t, void*) -> uint32_t>(), reinterpret_cast<void*>(NULL)},
{"eglReleaseTexImage", GetTrampolineFunc<auto(void*, void*, int32_t) -> uint32_t>(), reinterpret_cast<void*>(NULL)},
{"eglReleaseThread", GetTrampolineFunc<auto(void) -> uint32_t>(), reinterpret_cast<void*>(NULL)},
{"eglSetDamageRegionKHR", GetTrampolineFunc<auto(void*, void*, void*, int32_t) -> uint32_t>(), reinterpret_cast<void*>(NULL)},
{"eglSignalSyncKHR", GetTrampolineFunc<auto(void*, void*, uint32_t) -> uint32_t>(), reinterpret_cast<void*>(NULL)},
{"eglStreamAttribKHR", GetTrampolineFunc<auto(void*, void*, uint32_t, int32_t) -> uint32_t>(), reinterpret_cast<void*>(NULL)},
{"eglStreamConsumerAcquireKHR", GetTrampolineFunc<auto(void*, void*) -> uint32_t>(), reinterpret_cast<void*>(NULL)},
{"eglStreamConsumerGLTextureExternalKHR", GetTrampolineFunc<auto(void*, void*) -> uint32_t>(), reinterpret_cast<void*>(NULL)},
{"eglStreamConsumerReleaseKHR", GetTrampolineFunc<auto(void*, void*) -> uint32_t>(), reinterpret_cast<void*>(NULL)},
{"eglSurfaceAttrib", GetTrampolineFunc<auto(void*, void*, int32_t, int32_t) -> uint32_t>(), reinterpret_cast<void*>(NULL)},
{"eglSwapBuffers", GetTrampolineFunc<auto(void*, void*) -> uint32_t>(), reinterpret_cast<void*>(NULL)},
{"eglSwapBuffersWithDamageKHR", GetTrampolineFunc<auto(void*, void*, void*, int32_t) -> uint32_t>(), reinterpret_cast<void*>(NULL)},
{"eglSwapInterval", GetTrampolineFunc<auto(void*, int32_t) -> uint32_t>(), reinterpret_cast<void*>(NULL)},
{"eglTerminate", GetTrampolineFunc<auto(void*) -> uint32_t>(), reinterpret_cast<void*>(NULL)},
{"eglUnlockSurfaceKHR", GetTrampolineFunc<auto(void*, void*) -> uint32_t>(), reinterpret_cast<void*>(NULL)},
{"eglWaitClient", GetTrampolineFunc<auto(void) -> uint32_t>(), reinterpret_cast<void*>(NULL)},
{"eglWaitGL", GetTrampolineFunc<auto(void) -> uint32_t>(), reinterpret_cast<void*>(NULL)},
{"eglWaitNative", GetTrampolineFunc<auto(int32_t) -> uint32_t>(), reinterpret_cast<void*>(NULL)},
{"eglWaitSync", GetTrampolineFunc<auto(void*, void*, int32_t) -> uint32_t>(), reinterpret_cast<void*>(NULL)},
{"eglWaitSyncKHR", GetTrampolineFunc<auto(void*, void*, int32_t) -> int32_t>(), reinterpret_cast<void*>(NULL)},
};  // kKnownTrampolines
const KnownVariable kKnownVariables[] = {
};  // kKnownVariables
// clang-format on
